{
  "name": "bookshelf-ui",
  "version": "1.5.0",
  "scripts": {
    "ng": "ng",
    "start": "ng serve --proxy-config proxy.config.json",
    "build": "ng build",
    "build-ci": "ng build --progress=false --output-path=dist",
    "test": "jest",
    "test-ci": "jest --coverage --ci --reporters=default --reporters=jest-junit",
    "test-watch": "jest --watch",
    "clearJestCache": "jest --clearCache",
    "publish-test-coverage": "cat ./coverage/lcov.info | codacy-coverage",
    "compodoc": "./node_modules/.bin/compodoc -p  tsconfig.app.json --theme=material",
    "lint": "ng lint",
    "sonar-scanner": "node_modules/sonarqube-scanner/dist/bin/sonar-scanner"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "^17.3.1",
    "@angular/cdk": "^17.3.1",
    "@angular/common": "^17.3.1",
    "@angular/compiler": "^17.3.1",
    "@angular/core": "^17.3.1",
    "@angular/flex-layout": "^15.0.0-beta.42",
    "@angular/forms": "^17.3.1",
    "@angular/material": "^17.3.1",
    "@angular/material-moment-adapter": "^17.3.1",
    "@angular/platform-browser": "^17.3.1",
    "@angular/platform-browser-dynamic": "^17.3.1",
    "@angular/router": "^17.3.1",
    "@fortawesome/angular-fontawesome": "0.14.1",
    "@fortawesome/fontawesome-svg-core": "^6.5.1",
    "@fortawesome/free-brands-svg-icons": "^6.5.1",
    "@fortawesome/free-regular-svg-icons": "^6.5.1",
    "@fortawesome/free-solid-svg-icons": "^6.5.1",
    "@ngx-translate/core": "15.0.0",
    "@ngx-translate/http-loader": "8.0.0",
    "angular-auth-oidc-client": "^17.0.0",
    "hammerjs": "^2.0.8",
    "module-alias": "^2.2.3",
    "moment": "^2.29.4",
    "ngx-dropzone": "^3.1.0",
    "ngx-file-drop": "^16.0.0",
    "rxjs": "^7.8.1",
    "sass": "^1.72.0",
    "tslib": "^2.6.2",
    "zone.js": "~0.14.4"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "17.3.1",
    "@angular-eslint/builder": "17.3.0",
    "@angular-eslint/eslint-plugin": "17.3.0",
    "@angular-eslint/eslint-plugin-template": "17.3.0",
    "@angular-eslint/schematics": "17.3.0",
    "@angular-eslint/template-parser": "17.3.0",
    "@angular/cli": "^17.3.1",
    "@angular/compiler-cli": "^17.3.1",
    "@angular/language-service": "17.3.1",
    "@types/hammerjs": "2.0.39",
    "@types/jest": "29.5.3",
    "@types/node": "16.11.7",
    "@typescript-eslint/eslint-plugin": "^7.2.0",
    "@typescript-eslint/parser": "^7.2.0",
    "eslint": "^8.57.0",
    "jest": "29.6.1",
    "jest-extended": "^4.0.0",
    "jest-junit": "^16.0.0",
    "jest-preset-angular": "14.0.3",
    "sonarqube-scanner": "3.0.1",
    "ts-node": "10.9.1",
    "typescript": "5.4.3"
  },
  "jest": {
    "preset": "jest-preset-angular",
    "setupFilesAfterEnv": [
      "<rootDir>/setupJest.ts",
      "jest-extended/all"
    ],
    "transformIgnorePatterns": [
      "node_modules/(?!@ngrx|(?!deck.gl)|ng-dynamic)"
    ]
  }
}
